# Unnofficial Weapon Balance Patch

## Overview
That mod is aimed at giving some love to some weapons you almost certanly skip during your general playthrough by giving them a special effect, changing their behavior, providing more enchantability or just changing some stats.

Report to me any balance changes you feel need to be done on the [Outward Modding Community](https://discord.gg/DQAD9hEqEB) Discord </br>
I'd love to hear if you have any other ideas for improvements, all feedback is appreciated

## Installation
- 1 Download [BepInEx](https://outward.thunderstore.io/package/BepInEx/BepInExPack_Outward/)
- 2 Download [SideLoader](https://outward.thunderstore.io/package/sinai-dev/SideLoader/)
- 3 Unpack the contents of the zip file into the ...OutwardDefinitiveEd\BepInEx\plugins\WBP

### You may install modules of that mode seperately if you want to have specific changes, but don't want to have all of them (currently heavily outdted). Isntall either the whole package from that page, or seperately. Do not install both!

#### If you want to read more about changes I made, each link has my thought-process behind the creation or adjustment of specific item - if you disagree with any of them - feel free to write me, I'll be interested to hear your opinions!

## List of Changes:

### [ARTIFACT CHANGES - Main Module](https://outward.thunderstore.io/package/Proboina/Artifacts_Reworked/)
<details>
<summary>Expand</summary>

| Icon | Name | Changes |
  | ----------- | ----------- | ----------- |
  |<img src="https://static.wikia.nocookie.net/outward_gamepedia/images/d/d7/Assassin_Claymore.png" alt="Assassin Claymore" width="60"/>|**Assasin Sword and Claymore**|1.1 speed and inflict "Crippled" instead of "Slow Down"|
  |<img src="https://static.wikia.nocookie.net/outward_gamepedia/images/1/1e/Butcher_Cleaver.png" alt="Butcher Cleaver" width="60"/>|**Butcher Cleaver**|20 Physical 20 Ethereal, gives "Craze" on kill|
  |<img src="https://static.wikia.nocookie.net/outward_gamepedia/images/d/d2/Cerulean_Sabre.png" alt="Cerulean Saber" width="60"/>|**Cerulean Saber**|Has 1.1 speed|
  |<img src="https://static.wikia.nocookie.net/outward_gamepedia/images/1/14/Crescent_Scythe.png" alt="Crescent Scythe" width="60"/>|**Crescent Scythe and Axe**|Can be enchanted with "Spectre's Wail" with higher blast damage|
  |<img src="https://static.wikia.nocookie.net/outward_gamepedia/images/e/eb/Dragon_Shield.png" alt="Dragon Shield" width="60"/>|**Dragon Shield**|New Legacy Item: Awakened Dragon Shield. Better stats, 7% fire damage bonus and breathes fire on successful charge|
  |<img src="https://static.wikia.nocookie.net/outward_gamepedia/images/4/4f/Fabulous_Palladium_Shield.png" alt="Fabulous Palladium Shield" width="60"/>|**Fabulous Palladium Shield**|Inflicts all elemental Hexes instead of "Elemental Vulnerability". Praise me, hex mages|
  |<img src="https://static.wikia.nocookie.net/outward_gamepedia/images/7/7f/Galvanic_Chakram.png" alt="Galvanic Chakram" width="60"/>|**Galvanic Chakram**|AOE frost explosion, inflicts Pain and Chilled|
  |<img src="https://static.wikia.nocookie.net/outward_gamepedia/images/9/93/Gep%27s_Longblade.png" alt="Gep's Longblade" width="60"/>|**Gep's Blade/Longblade**|Changed the recipe to make it harder to acquire: Gep's Drink, Digested Mana Stones and Ectoplasm|
  |<img src="https://static.wikia.nocookie.net/outward_gamepedia/images/1/15/Giantkind_Greataxe.png" alt="Giantkind Greataxe" width="60"/>|**Giantkind Greataxe**|Can be enchanted with "War Memento"|
  |<img src="https://static.wikia.nocookie.net/outward_gamepedia/images/b/bb/Giantkind_Halberd.png" alt="Giantkind Halberd" width="60"/>|**Giantkind Halberd**|25 Physical 10 Lightning, can be enchanted with "Priest's Prayers"|
  |<img src="https://static.wikia.nocookie.net/outward_gamepedia/images/d/d5/Gold-Lich_Sword.png" alt="Gold-Lich Sword" width="60"/>|**Gold-Lich Weapons (except Shield)**|Can be enchanted with "Flux"|
  |<img src="https://static.wikia.nocookie.net/outward_gamepedia/images/8/8a/Golem_Rapier.png" alt="Golem Rapier" width="60"/>|**Golem Rapier**|1.2 speed, new enchantment|
  |<img src="https://static.wikia.nocookie.net/outward_gamepedia/images/c/c2/Jade_Scimitar.png" alt="Jade Scimitar" width="60"/>|**Jade Scimitar**|16 Physical 16 Decay, no mana cost reduction, corrupts the wielder with every hit (2 hits for 1%)|
  |<img src="https://static.wikia.nocookie.net/outward_gamepedia/images/3/3b/Jade-Lich_Mace.png" alt="Jade-Lich Mace" width="60"/>|**Jade-Lich Mace**|7% mana cost reduction and applies additional 20% for 90 seconds after a few hits.|
  |<img src="https://static.wikia.nocookie.net/outward_gamepedia/images/f/f9/Living_Wood_Axe.png" alt="Living Wood Axe" width="60"/>|**Living Wood Axe**|16 Physical 6 Ethereal, inflicts "Aetherbomb" with low buildup|
  |<img src="https://static.wikia.nocookie.net/outward_gamepedia/images/d/d7/Manticore_Dagger.png" alt="Manticore Dagger" width="60"/>|**Manticore Greatmace and Dagger**|Can be enchanted with "Instinct"|
  |<img src="https://static.wikia.nocookie.net/outward_gamepedia/images/d/db/Mantis_Greatpick.png" alt="Mantis Greatpick" width="60"/>|**Mantis Greatpick**|Can be enchanted with stronger "Weightless"|
  |<img src="https://static.wikia.nocookie.net/outward_gamepedia/images/c/ca/Mysterious_Chakram.png" alt="Mysterious Chakram" width="60"/>|**Mysterious (pizza) Chakram**|Can be enchanted with "Abundance". Actively regen your food with pot helmet, don't let anyone in slums starve!|
  |<img src="https://static.wikia.nocookie.net/outward_gamepedia/images/7/77/Old_Legion_Gladius.png" alt="Old Legion Gladius" width="60"/>|**Old Legion Gladius**|9% chance to Critical Strike for 100 Raw|
  |<img src="https://static.wikia.nocookie.net/outward_gamepedia/images/7/75/Ornate_Bone_Shield.png" alt="Ornate Bone Shield" width="60"/>|**Ornate Bone Shield**|Inflicts "Elemental Vulnerability" and "Haunted"|
  |<img src="https://static.wikia.nocookie.net/outward_gamepedia/images/0/03/Palladium_Knuckles.png" alt="Palladium Knuckles" width="60"/>|**Palladium Knuckles**|No longer inflicts "Elemental Vulnerability"|
  |<img src="https://static.wikia.nocookie.net/outward_gamepedia/images/1/13/Pathfinder_Claymore.png" alt="Pathfinder Claymore" width="60"/>|**Pathfinder Claymore**|Physical and Decay damage values swapped, 1.0 speed, does not inflict "Elemental Vulnerablity". Lowers Status Buildup Resistance both on enemy and player, inflicts "Curse" and "Extreme Poison"|
  |<img src="https://static.wikia.nocookie.net/outward_gamepedia/images/e/e0/Phytosaur_Spear.png" alt="Phytosaur Spear" width="60"/>|**Phytosaur Spear**|34 Physical damage, can be enchanted with "Abomination"|
  |<img src="https://static.wikia.nocookie.net/outward_gamepedia/images/2/2a/Porcelain_Fists.png" alt="Porcelain Fists" width="60"/>|**Porcelain Fists**|Inflicts "Calcification" status effect that stuns enemies for a couple of seconds.|
  |<img src="https://static.wikia.nocookie.net/outward_gamepedia/images/2/2d/Pyrite_Greathammer.png" alt="Pyrite Greathammer" width="60"/>|**Pyrite Greathammer**|Can be enchanted with "Forge Fire"|
  |<img src="https://static.wikia.nocookie.net/outward_gamepedia/images/4/45/Royal_Great-Kopesh.png" alt="Royal Great-Khopesh" width="60"/>|**Royal Great-Khopesh**|Inflicts "Weaken", "Pain" on enemy, applies "Stamina cost reduction" on player. Can be enchanted with "Desert's Sun"|
  |<img src="https://static.wikia.nocookie.net/outward_gamepedia/images/5/5a/Sandrose.png" alt="Sandrose" width="60"/>|**Sandrose Axe**|Also inflicts "Scorched"|
  |<img src="https://static.wikia.nocookie.net/outward_gamepedia/images/9/91/Starchild_Claymore.png" alt="Starchild Claymore" width="60"/>|**Starchild Claymore**|Applies "Divine Light Imbue" on player, lowered impact from 52 to 45. No more cheesy strategies with Wind imbue|
  |<img src="https://static.wikia.nocookie.net/outward_gamepedia/images/e/e8/Thorn_Chakram.png" alt="Thorn Chakram" width="60"/>|**Thorn Chakram**|AOE physical explosion, small lifesteal|
  |<img src="https://static.wikia.nocookie.net/outward_gamepedia/images/a/a4/Thorny_Spear.png" alt="Thorny Spear" width="60"/>|**Thorny Claymore and Spear**|Different recipe, 22 Physical 22 Ethereal, inflicts "Elemental Vulnerability" if the target is "Haunted"|
  |<img src="https://static.wikia.nocookie.net/outward_gamepedia/images/1/15/Thrice-Wrought_Halberd.png" alt="Thrice-Wrought Halberd" width="60"/>|**Thrice-Wrought Halberd**|13 Fire, 13 Frost and 13 Ethereal damage|
  |<img src="https://static.wikia.nocookie.net/outward_gamepedia/images/f/fa/Werlig_Spear.png" alt="Werlig Spear" width="60"/>|**Werlig Spear**|deals only 30 Physical, but has a Chain Lightning effect, dealing 14 Lightning damage to maximum of 4 targets nearby|
  |<img src="https://static.wikia.nocookie.net/outward_gamepedia/images/c/c4/Withering_Pole_Mace.png" alt="Withering Pole Mace" width="60"/>|**Withering Trog Mace**|275 durability, 1.0 speed, new enchantment|
  |<img src="https://static.wikia.nocookie.net/outward_gamepedia/images/7/73/Worldedge_Greataxe.png" alt="Worldedge Greataxe" width="60"/>|**Worldedge Greataxe**|Applies "Dark Imbue" on player. Restored to it's former glory|
  |<img src="https://static.wikia.nocookie.net/outward_gamepedia/images/7/7f/Zagis%27_Saw.png" alt="Zagis' Saw" width="60"/>|**Zagis' Saw**|Also inflicts "Extreme Bleeding", 0.9 speed|

</details>

### SETS

- **[Astral set](https://outward.thunderstore.io/package/Proboina/Astral_Set/)**: can be used as a Lexicon.
- **[Beast golem set](https://outward.thunderstore.io/package/Proboina/Beast_Golem_Set/)**: no longer inflicts "Bleeding", lower damage and impact, 1.2 base speed and a new enchantment.
- **[Chalcedony set](https://outward.thunderstore.io/package/Proboina/Chalcedony_Set/)**: Raw damage instead of Physical, has some frost damage bonus, inflicts "Hampered" instead of "Slow Down", can be enchanted with "Snow". Truly an end-game set now.
- **[Forged Glass set](https://outward.thunderstore.io/package/Proboina/Forged_Glass_and_Meteoric_Sets/)**: 2 new enchantments
- **[Galvanic set](https://outward.thunderstore.io/package/Proboina/Galvanic_Set/)**: Status Effect Resistance on all weapons and shield, 2 new enchantments.
- **[Hailfrost set](https://outward.thunderstore.io/package/Proboina/Hailfrost_Set/)**: mostly Frost damage, but a bit lower damage overall.
- **[Horror set](https://outward.thunderstore.io/package/Proboina/Horror_Set/)**: can be enchanted with "Scourge's Outbreak", 0.9 speed and lowered sell price (It was too high and you know it).
- **[Kazite set](https://outward.thunderstore.io/package/Proboina/Kazite_Set/)**: 1.1 speed, applies "Unerring Read" on wielder with 10% chance, maces with 13%, knuckles and chakram 7%, shield and pistol 23%.
- **[Marble set](https://outward.thunderstore.io/package/Proboina/Marble_Set/)**: all weapons now inflict "Confusion"
- **[Meteoric set](https://outward.thunderstore.io/package/Proboina/Forged_Glass_and_Meteoric_Sets/)**: inflicts "Blaze" instead of "Holy Blaze", like a proper fire weapon upgrade should. Adjusted Inferno enchantment.
- **[Smoke set](https://outward.thunderstore.io/package/Proboina/Smoke_Set/)**: inflicts "Weaken" and "Sapped" instead of "Blaze", makes enemies look like they're engulfed in smoke.
- **[Vampiric set](https://outward.thunderstore.io/package/Proboina/Vampiric_Set/)**: 1.0 speed and are 7 TIMES faster to acquire. 2500 damage instead of 17500. Leech was slightly lowered as a tradoff, except on maces and the dagger.
- **[Virgin set](https://outward.thunderstore.io/package/Proboina/Virgin_Set/)**: 1.1 speed.
- **[Wolf set](https://outward.thunderstore.io/package/Proboina/Wolf_Set/)**: no longer inflicts "Cripple", can be enchanted with "The Good Moon".


### [STAVES](https://outward.thunderstore.io/package/Proboina/Staves_Reworked/)

- **Master's Staff** and **Ivory Master's Staff**: base 5% Cooldown Reduction
- **Calygrey Staff** and **Ancient Calygrey Staff**: are 2-Handed Maces with appropriate stats, but keeping the magic properties. Great for "Crescendo"!
- **Compasswood Staff**: 15 Fire 15 Physical, 10% Cooldown Reduction and 10% Movement Speed bonus
- **Rotwood Staff**:  10% Cooldown Reduction, 5% Movement Speed bonus and 0.1 mana per second
- **Jade-Lich Staff**: 15 Decay 15 Physical, 5% Cooldown Reduction, 3 Barrier and raises Corruption on hit (1% for 2 hits), new enchantment
- **Cracked Red Moon**: does pure Fire damage and has 25% Fire damage bonus
- **Revenant Moon**: is OP (25 Ethereal damage, 25% Ethereal and Fire damage bonus and can be used as a lexicon, no longer inflicts "Blaze")

###  [NEW ENCHANTMENTS](https://outward.fandom.com/wiki/Enchantments/Recipes) and changes to vanilla ones
<details>
<Summary>Expand</summary>

- **Brittlesharp** - Glass set - 2x the damage, -90% durability

- **Calygrey's Valor** - Trog Pole Mace, Withering Pole Mace, Calygrey Mace, Ancient Calygrey Mace - +0.1 speed and 20 "Rage" buildup on player

- **Castigation and Humiliation** - Prayer and Sinner Claymores, Ornate Chakram - also applies "Barrier +6" with Castigation and "Protection +6" with Humiliations on player respectively, no longer enchanted on Palladium set

- **Castle Wall** - Tower Shield and Marble Shield - "Impact Resistance Up" buildup on player on block

- **Catharsis** - Zhorn's Demon Shield - applies "Panic" on player and "Blood Imbue" for 15 seconds

- **Desert's Sun** - can be enchanted on Khopesh type weapons

- **Golem's Effectiveness** - Golem Rapier, Beast Golem weapons - +0.1 speed and "Pain" buildup, making those 3 the fastest weapons in the game

- **Inferno** - no longer inflicts "Blaze", 80% of Physical damage added as Fire, -50% of Physical damage.

- **Innate Fury** - Crimson Shield - "Rage" buildup on player on block

- **Jade Mirror** - Jade-Lich Staff - 100% status resistance to all poisons (including marsh water) and "Plague"

- **Labouring Perfection** - Enchanting Guild, requires "Chromium Shards" - Golden Pick and Golden Harpoon - unbreaking and -4 weight

- **Liquid Cooling** - Galvanic set - 50% of Physical damage added as Frost damage, -20% Physical damage, 10% Stamina Cost reduction 

- **Mantle** - Wolf Shield - "Force Bubble" on successful shield charge

- **Monk Training** - Quarterstaff and Gold Quearterstaff - sets damage to 45 Physical and +5% movement speed. Enchanting Guild recipe, requires "Diamond Dust".

- **Overcharge** - Gold-Lich Shield - Lightning explosion on blocked hits, but causes "Drawback" buildup. No explosions while "Drawback" is active.

- **Razor of Woe** - Rondel and Shiv daggerss - adds a 2% chance to instantly kill a target. Enchanting Guild recipe, requires "Dweller's Brain".

- **Redemption** - Palladium set - also gives 5 flat Lightning damage, no longer inflicts Doomed and can't be enchanted on Prayer or Sinner Claymores

- **Righteous Fire** - Glass set - Holy Blaze buildup

- **Roaring Sun** - Palladium Shield - "Immolation" on successful shield charge

- **Sharpened Edge** - any Chakram - adds 7 Physical damage

- **Sprectre's Wail** - Crescent Set - higher blast damage

- **Static Electricity** - Galvanic main hand and shield - blocking has a small chance to apply Lightning Imbue

- **The Good Moon** - Wolf set - does 15% mana steal instead of 20%, no longer enchanted on Rondel and Shiv daggers

- **Trauma** - Removed from the game, replaced by Froge Fire enchantment. Removes just 10 physical instead of 27.

- **Tsar Inlay** - Ecnhanting Guild, requires "Tsar stone" - Any weapon - indestructible, lowers the attack speed by 0.1.

- **Weightless** - can be enchanted on "Mantis Granite Pickaxe" with higher weight reduction

- **Whiplash** - adds 20% Imapact instead of 10% Physical damage, Maces and Knuckles get 10% impact bonus.
</details>

### [ARTIFICER](https://outward.thunderstore.io/package/Proboina/Caldera_Artificer/)
<details>
<summary>There has been a secret Trainer placed somewhere. Look at the picture down below to give yourself a hint.</summary>
<img src="https://i.imgur.com/ApwMdCN.png" alt="drawing" width="1000"/>
</details>

### [ARROWS](https://outward.thunderstore.io/package/Proboina/Arrow_Recipes_Reworked/)

- **Arrowhead Kit (x3)**: can be crafted with 3 "Iron Spikes" and 1 "Iron Scrap" in survival menu
- **Poison Arrow (x3)**: can be also crafted with 3 "Arrows" and 1 "Poison Rag" in survival menu
- **Flaming Arrow (x3)**: can be also crafted with 3 "Arrows" and 1 "Fire Rag" in survival menu
- **Forged Arrow (x3)**: can be crafted with 1 "Iron Spike" and 1 "Arrowhead Kit" in survival menu
- **Palladium Arrow**: crafted in survival menu instead of alchemy, no changes to the recipe
#### No alchemy station arrow recipes were changed besides Palladium Arrow

### Recipe changes

- **Thorny Spear/Claymore** - Horror Spear/Claymore, Thorny Cartilage , Shark Cartilage, Pure Chitin
- **Iron Wristbands** - 3 Iron Scraps and Linen Cloth
- **Palladium Wristbands** - 3 Palladium Scraps and Scaled Leather
- **Iron Knuckles** - Iron Spikes instead of Boozu Hide



#

All new enchanting recipes are sold by Hermit and Harmattan vendors. All changes in existing enchants are reflected in existing recipes.  
P.s. Every change with "also" means that the new effect is added on top of existing one

#### Known issues: 
Incompatible with Transmorphic's enchanting menu - there is no way to fix it since my enchantments use unique pillar placements, you'll have to rely on your good ol' enchanting table. Sorry for the inconvenience, but do try it, you may like it that way.

Some enemies may spawn with old weapon stats, kazite bandits in Harmattan, for example. Reload fixes that problem.

Your Skilltrainer may be not updated or refuse to open the skilltree - to fix the problem try waiting 7 days for area reset, if it doesn't help - clear BepInEx cache in BepInEx/cache.

## NO BOWS WERE CHANGED



## Special thanks
- **Emo** for teaching me and helping along the way
- **Iggy** for giving me confidence in my project
- **Avrixel** for a bunch of ideas and help implementing them
- **StormCancer** for beautiful skill icons
- Every streamer I pestered
- And everyone in the awesome discord modding community

Have fun!
<details>
 <summary>Images</summary>
<img src="https://i.imgur.com/q7PRNn8.png" alt="drawing" width="1000"/>
<img src="https://i.imgur.com/2sSJ87K.gif" alt="drawing1" width="1000"/>
</details>
<details>
 <summary>Changelog:</summary>
 
- `1.0.0`: initial release
- `1.0.4`: added r2modman compatibility
- `1.0.6`: addeed palladium to the arrowhead recipe
- `1.1.0`: Finally Modular! Plus a lot of changes and corections, 3 new sets and a little bit more on top. All the changes you can see in Discord channel.
- `1.1.3`: Added Werlig Spear with Chain Lightning Effect
- `1.1.5`: Returned half of the Ethereal damage to Livingwood Axe; Porcelain Fists stun for longer; Fixed Forged Glass and Werling spear not having new effects.
- `1.2.1`: Cool~ update - Added Galvanic and Hailfrost sets; Fixed Redemtion working improperly; Razor of Woe enchanting item changed
- `1.3.0`: Holy Shield! update - changes to Palladium and Sinner/Prayer enchantability, a whole bunch of new shield enchants and changes and some minor weapon balance
- `1.4.0`: Final update. Maximum possible compatibility, a lot of tweaks and changes, a whole new secret skilltree and much more! Thanks everyone who has been helping me create the mod to be the way it is right now, I couldn't have done it without you
- `1.5.0`: Final Final update.. Fixed Pestilence; Added missing Artifact Skills; Calcification gives impact immunity for more consistent stun; Butcher Cleaver gives 3 stacks of Craze; Added Sharpened Edge enchanting recipe to vendors;
- `1.5.1`: Raised Kazite set dodge chance; Lowered Werlig Spear's projectile from 16 to 12
- `1.6.0`: A LOT of polish, some new enchantments, a couple more reworks of simple weapons. Removed Brand changes for better rework, prepared ground for more mod compatibilities
- `1.7.0`: 2 new enchantments for Galvanic set, rebalance of Galvanic set; Fixed Heroic Chord projectile lag; Lowered projectile spread and added randomnes on Fluctuations skill; Rebalanced some minor items such as Thorn Chakram, Thorny set, Galcanic Chakram.
</details>